Subject: Re: bug#54028: Window is not a valid window

From: Juri Linkov <[email-masked]>
Date: Thu, 17 Feb 2022 19:34:35 +0200

>> I don't know if the author of
>> https://www.reddit.com/r/emacs/comments/sthusa/window_xxx_is_not_a_valid_window_on_switching_tabs/
>> will report the bug here,
>
> Please encourage the author again to report such bugs here.

Maybe they hesitate to use e-mail?

>> but since it's easily reproducible,
>> here is the short test case, just evaluate this:
>>
>> (window-state-put
>> ...
>>   nil 'safe)
>>
>> It fails with:
>>
>>    Debugger entered--Lisp error: (error "#<window 9> is not a valid window")
>>      error("%s is not a valid window" #<window 9>)
>>      window-normalize-window(#<window 9>)
>>      window-deletable-p(#<window 9>)
>>      window-state-put
>
> I think the attached fixes it, please check.

Thanks, it doesn't fail anymore, but wasn't the problem
somewhere in the invalid window state?

> I have no idea whether the state is restored as intended, though.

Is it possible to find what window was invalid in this window state?